Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1991866 - F35FailsToInstall: Multiple packages built from fawkes
Summary: F35FailsToInstall: Multiple packages built from fawkes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fawkes
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F35BetaFreezeException F35FailsToInstall 1982394
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:58 UTC by Miro Hrončok
Modified: 2021-10-29 13:49 UTC (History)
7 users (show)

Fixed In Version: fawkes-1.3.1-0.15.4923a6c.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-16 23:54:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Trivial patch to make the package build with PCL 1.12 (deleted)
2021-09-02 00:06 UTC, Miro Hrončok
no flags Details | Diff

Description Miro Hrončok 2021-08-10 10:58:16 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (fawkes) Fails To Install in Fedora 35:

can't install fawkes-lua:
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-lua-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazebo:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazebo-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-comm:
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-comm-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-depthcam:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-depthcam-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-laser:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-localization:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-robotino:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-timesource:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-timesource-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-vis-localization:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-vis-localization-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gazsim-webcam:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_chrono.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_date_time.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_atomic.so.1.75.0()(64bit) needed by fawkes-plugin-gazsim-webcam-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-core:
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-core-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-clips-protobuf:
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-clips-protobuf-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-gossip:
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-gossip-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-imu:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-imu-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-imu-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-jaco:
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-jaco-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-laser:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-laser-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-laser-cluster:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-laser-cluster-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-laser-cluster-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-laser-lines:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-laser-lines-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-laser-lines-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-robotino:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-robotino-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-protobuf:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-protobuf-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-protobuf-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-tabletop-objects:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by fawkes-plugin-tabletop-objects-1.3.1-0.13.4923a6c.fc35.x86_64
  - nothing provides libboost_system.so.1.75.0()(64bit) needed by fawkes-plugin-tabletop-objects-1.3.1-0.13.4923a6c.fc35.x86_64
  
can't install fawkes-plugin-webview:
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by fawkes-plugin-webview-1.3.1-0.13.4923a6c.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:37:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-18 08:41:07 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Adam Williamson 2021-09-01 22:29:04 UTC
rmattes tried to rebuild this, but it failed:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1823735

note that the affected packages currently block build of the Robotics live spin.

Comment 4 Miro Hrončok 2021-09-01 23:54:29 UTC
the failures are related to PCL 1.12:

/builddir/build/BUILD/fawkes-4923a6c1fda7799ad32b57f84ec9111bd716fd84/src/plugins/perception/tabletop-objects/tabletop_objects_thread.cpp:1803:33: error: no matching function for call to 'getMinMax3D(std::__shared_ptr_access<pcl::PointCloud<pcl::PointXYZRGB>, __gnu_cxx::_S_atomic, false, false>::element_type&, TabletopObjectsThread::ColorPointType&, TabletopObjectsThread::ColorPointType&)'
 1803 |                 pcl::getMinMax3D(*cloud_cylinder_baserel, pnt_min, pnt_max);
      |                 ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

https://pointclouds.org/documentation/group__common.html#ga3166f09aafd659f69dc75e63f5e10f81

Comment 5 Miro Hrončok 2021-09-02 00:06:13 UTC
Created attachment 1819819 [details]
Trivial patch to make the package build with PCL 1.12

This should make the package build. Running a mockbuild.

Comment 7 Miro Hrončok 2021-09-02 09:26:44 UTC
There has been one additional ppc thing, but it has been fixed in rawhide. An f35 build, update and FE is all that should be needed here.

Comment 8 Miro Hrončok 2021-09-02 09:31:15 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 9 Fedora Update System 2021-09-03 01:40:37 UTC
FEDORA-2021-2ab1527294 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2ab1527294

Comment 10 Fedora Update System 2021-09-03 15:25:21 UTC
FEDORA-2021-2ab1527294 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2ab1527294`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2ab1527294

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Blocker Bugs Application 2021-09-11 18:45:24 UTC
Proposed as a Freeze Exception for 35-beta by Fedora user kevin using the blocker tracking app because:

 This and rhbz#1996443 are needed to make the robotics spin compose. 

It would be really nice to have it for beta.

Comment 12 Lukas Ruzicka 2021-09-13 07:13:08 UTC
I can confirm that the package can be installed with the above update.

Comment 13 Fedora Update System 2021-09-16 23:54:26 UTC
FEDORA-2021-2ab1527294 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Till Hofmann 2021-10-29 13:49:18 UTC
I've pushed another update that should clean this up further and remove obsolete or uninstallable sub-packages.


Note You need to log in before you can comment on or make changes to this bug.